2012-12-20

nxcEditor in Linux

nxcEditor is not in any repositories for Debian or xubuntu (12.10), neither is a recent enough version of gambas3.



To get a recent gambas3 do:
add-apt-repository ppa:nemh/gambas3
aptitude install gambas3

To get nxcEditor do:
wget https://sourceforge.net/projects/nxceditor/files/nxcEditor/nxcEditor_v0.1.1.gambas

You also need nbc and nexttool in /usr/local/bin:
wget https://sourceforge.net/projects/nxceditor/files/nbc_and_nexttool.zip
-rwxr-xr-x 1 root root 3123348 Dec 20 20:21 /usr/local/bin/nbc
-rwxr-xr-x 1 root root  557168 Dec 20 20:05 /usr/local/bin/nexttool


Install ia32-libs if you run 64-bit
aptitude install ia32-libs

Have fun :-)

4 comments:

Wouter Verhelst said...

aptitude install ia32-libs

That's outdated advice. Modern systems use:

foreign-architecture i386
apt-get install libfoo:i386

multiarch rocks!

Wouter Verhelst said...

Oh, and it's "dpkg --add-architecture i386" rather than "foreign-architecture i386" on Debian (foreign-architecture is ubuntu-specific)

Paul Cobbaut said...

thanks, I will try that soon!

Linux Training in India said...

Hi, your blog really nice, keep it up! I’ll go ahead and bookmark your website to come back later.